<?php

class ApiController extends HDController
{
	public function init()
	{
		parent::init();

		if (empty($_REQUEST['api_key']) || $_REQUEST['api_key'] != Settings::get('api_key'))
			Yii::app()->end();
	}

	public function actionCreateTicket()
	{
		/**
		 * @var TicketCategory $category
		 */
		if (!empty($_REQUEST['department']))
			$category = TicketCategory::model()->findByPk($_REQUEST['department']);

		if (!empty($_REQUEST['company_id']))
			$category = TicketCategory::model()->findByAttributes(['company_id' => $_REQUEST['company_id']]);

		if (!empty($_FILES))
		{
			foreach ($_FILES as $k => $file)
			{
				$num = str_replace('file_', '', $k);

				if (empty($file['name']))
				{
					foreach ($file as $key => $value)
						$_FILES['attachments'][$key][$num] = $value;

					unset($_FILES[$k]);

					$_FILES['attachments']['name'][$num] = $_REQUEST['name_' . $k];
					$_FILES['attachments']['type'][$num] = $_REQUEST['type_' . $k];
				}
				else
				{
					foreach ($file as $key => $value)
						$_FILES['attachments'][$key][$num] = $value;
				}
			}
		}

		if (!$category)
			$category = TicketCategory::model()->findByAttributes(array('default_category' => 1));

		$ticket = new Ticket();
		$ticket->subject = $_REQUEST['subject'];
		$ticket->author_email = $_REQUEST['email'];
		$ticket->author_name = $_REQUEST['full_name'];
		$ticket->order_id = $_REQUEST['order_id'];
		$ticket->is_open = 1;
		$ticket->category_id = $category->id;
		$ticket->save(false);

		$message = new TicketMessage();
		$message->author_email = $_REQUEST['email'];
		$message->author_name = $_REQUEST['full_name'];
		$message->message = $_REQUEST['body'];
		$message->ticket_id = $ticket->id;
		$message->user_id = $ticket->user_id;
		$message->save(false);

		$message->addAttachments();

		$ticket->sendNotification($_REQUEST['email'], $_REQUEST['full_name']);

		return 1;
	}

	public function actionGetDepartments()
	{
		$list = array ();

		/**
		 * @var TicketCategory[] $departments
		 */
		$departments = TicketCategory::model()->findAll();

		foreach ($departments as $dep)
		{
			$list[] = array (
				'id' 		 => $dep->id,
				'name' 		 => $dep->lang_name,
				'company_id' => $dep->company_id,
			);
		}

		echo CJSON::encode($list);
	}

	public function actionSyncVendors()
	{
		if (!empty($_REQUEST['vendors']))
		{
			$vendors = json_decode($_REQUEST['vendors'], true);

			foreach ($vendors as $vendor)
			{
				// check that vendor already exists
				$check = TicketCategory::model()->findByAttributes(array('company_id' => $vendor['company_id']));

				if (empty($check))
				{
					$category = new TicketCategory();

					$category->code = "company_$vendor[company_id]";
					$category->company_id = $vendor['company_id'];
					$category->translations = CJSON::encode([Yii::app()->language => $vendor['company']]);

					$category->save();

					if (!empty($_REQUEST['create_accounts']))
					{
						$password = $this->generatePassword();

						$user = new User();
						$user->activkey = '';
						$user->username = $user->email = $vendor['email'];
						$user->password = UserModule::encrypting($password);
						$user->superuser = 0;
						$user->is_worker = 1;
						$user->status = User::STATUS_ACTIVE;
						$user->save();

						$profile = new Profile;
						$profile->user_id = $user->id;
						$profile->full_name = $vendor['company'] . " support";
						$profile->sign = '';
						$profile->save(false);

						// assign to category
						$user_category = new UserCategories();
						$user_category->category_id = $category->id;
						$user_category->user_id = $user->id;
						$user_category->save();

						// assign as manager of department
						$assigment = new AuthAssigment();
						$assigment->userid = $user->id;
						$assigment->itemname = 'Ticket.Index';
						$assigment->data = 'N;';
						$assigment->save();

						// send notify email
						/**
						 * @var YiiMailMessage $email
						 */
						$email = new YiiMailMessage();
						$email->message->setSubject('Help Desk Account Created');
						$email->addTo($user->email, $user->profile ? $user->profile->full_name : '');
						$email->message->setBody(
							_t('vendor_create', array(
								'{url}' 	 => $this->createAbsoluteUrl('/ticket/index'),
								'{login}' 	 => $user->email,
								'{password}' => $password,
								'{shop_url}' => Settings::get('api_url'),
							)),
							'text/html'
						);

						$from_email = Settings::get('email_address');

						if ($from_email)
							$email->setFrom(array(Settings::get('email_address') => Settings::get('email_name')));

						sendAppMail($email);
					}
				}
			}
		}

		return 1;
	}

	private function generatePassword($length = 8)
	{
		$chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
		$count = mb_strlen($chars);

		for ($i = 0, $result = ''; $i < $length; $i++)
		{
			$index = rand(0, $count - 1);
			$result .= mb_substr($chars, $index, 1);
		}

		return $result;
	}
}