<?php

class LoginController extends HDController
{
	public $defaultAction = 'login';

	/**
	 * Displays the login page
	 */
	public function actionLogin()
	{
		if (defined('DEMO') && !empty($_REQUEST['logout']))
			Yii::app()->user->logout();

		$redirect = Yii::app()->user->returnUrl ? Yii::app()->user->returnUrl : '/ticket/index';

		if (Yii::app()->user->isGuest)
		{
			$model=new UserLogin;

			// collect user input data
			if(isset($_POST['UserLogin']))
			{
                $_POST['UserLogin'] = array_map('trim', $_POST['UserLogin']);

				$model->attributes=$_POST['UserLogin'];
				// validate user input and redirect to previous page if valid
				if($model->validate()) {
					$this->lastVisit();
					$this->redirect($redirect);
				}
			}

			// display the login form
			$this->render('/user/login', array('model' => $model));
		}
		else
			$this->redirect($redirect);
	}
	
	private function lastVisit() {
		$lastVisit = User::model()->notsafe()->findByPk(Yii::app()->user->id);
		$lastVisit->lastvisit_at = date('Y-m-d H:i:s');
		$lastVisit->save();
	}

}