<?php
	/**
	 * @var $form TbActiveForm
	 * @var $this RController
	 * @var $authorizer RAuthorizer
	 */

	$dataProvider = new RPermissionDataProvider('permissions');
	$manager = Yii::app()->getAuthManager();
	$assignments = $manager->getAuthAssignments($model->id);

	$form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'id'=>'user-form',
	'enableAjaxValidation'=>true,
	'htmlOptions' => array('enctype'=>'multipart/form-data', 'autocomplete' => 'off'),
));
?>

	<p class="note"><?php echo _t('required fields'); ?></p>

    <div style="display: none;"><?php echo $form->textFieldRow($model,'email',array('size'=>60,'maxlength'=>128)); ?></div>
	<?php echo $form->textFieldRow($model,'email',array('size'=>60,'maxlength'=>128)); ?>
	<?php echo $form->passwordFieldRow($model, 'password', array ('autocomplete' => 'off'))?>
	<?php echo $form->dropDownListRow($model,'status',User::itemAlias('UserStatus')); ?>

<?php
	$profileFields=Profile::getFields();
	if ($profileFields) {
		foreach($profileFields as $field) {
			if ($widgetEdit = $field->widgetEdit($profile)) {
				echo $widgetEdit;
			} elseif ($field->range) {
				echo $form->dropDownListRow($profile,$field->varname,Profile::range($field->range));
			} elseif ($field->field_type=="TEXT") {
				echo $form->textAreaRow($profile,$field->varname,array('rows'=>6, 'class' => 'span6'));
			} else {
				echo $form->textFieldRow($profile,$field->varname,array('size'=>60,'maxlength'=>(($field->field_size)?$field->field_size:255)));
			}
		}
	}

if ($this->add_user || $model->is_worker)
{
	echo $form->checkBoxRow($model, 'is_worker', array ('onclick' => '$("#staff_block").toggle();'));
?>
<div id="staff_block" <? if (!$model->is_worker) echo 'style="display: none;"'?>>
	<?php

	$check = array ('labelOptions' => array ('class' => 'user-manage-label', 'label' => _t('rights')));
	foreach ($assignments as $permission => $_value)
		$check[$permission] = $permission;

	$model->rights = $check;

	$permissions = $dataProvider->getPermissions();

	foreach ($permissions as $k => $permission)
	    if ($k == 'Ticket.View')
	    unset($permissions[$k]);

	echo $form->checkBoxListRow(
		$model,
		"rights",
		$permissions,
		$check
	);

	$categories = array ();
	foreach ($model->categories as $category)
		$categories[$category->category_id] = $category->category_id;

	$model->categories = $categories;

	echo $form->checkBoxListRow(
		$model,
		"categories",
		CHtml::listData(TicketCategory::model()->findAll('id'), 'id', 'lang_name'),
		array('labelOptions' => array ('class' => 'user-manage-label', 'label' => _t('categories')))
	);

}
else
{
	echo $form->checkBoxRow($model,'is_worker', array ('onclick' => '$("#staff_block").toggle();', 'disabled' => 'disabled'));
?>
	<div class="alert alert-error">
		<?=_t('cannot add staff', array ('{link}' => CHtml::link('Re:Desk', 'http://re-desk.com')))?>
	</div>
<?
}

	?>
</div>
<p>&nbsp;</p>
<div class="buttons">
	<?php
	echo CHtml::submitButton(
		_t('save'),
		array ('class' => 'btn btn-primary')
	);
	?>
</div>
<?php

$this->endWidget();

?>
<!-- form -->