<?php
/**
 * @var TbActiveForm $form
 * @var User $model
 * @var RController $this
 */
$this->pageTitle=Yii::app()->name . ' - '.UserModule::t("Registration");
$this->breadcrumbs=array(
	UserModule::t("Registration"),
);
?>

<h1><?php echo UserModule::t("Registration"); ?></h1>

<?php if(Yii::app()->user->hasFlash('registration')): ?>
<div class="success">
<?php echo Yii::app()->user->getFlash('registration'); ?>
</div>
<?php else: ?>
	<?php
	$form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
		'id'=>'registration-form',
		'enableAjaxValidation'=>true,
		'clientOptions'=>array(
			'validateOnSubmit'=>true,
		),
		'htmlOptions' => array('enctype'=>'multipart/form-data'),
	)); ?>

		<p class="note"><?php echo UserModule::t('Fields with <span class="required">*</span> are required.'); ?></p>

		<?php echo $form->errorSummary(array($model, $profile)); ?>

		<?php echo $form->textFieldRow($model, 'email', array('class' => 'span4')); ?>
		<?php echo $form->passwordFieldRow($model, 'password', array('class'=>'span4')); ?>
		<p class="hint">
			<?php echo UserModule::t("Minimal password length 4 symbols."); ?>
		</p>

		<?php echo $form->passwordFieldRow($model, 'verifyPassword', array('class'=>'span4')); ?>

		<?php
			$profileFields=Profile::getFields();
			if ($profileFields)
			{
				foreach($profileFields as $field)
				{
					if ($widgetEdit = $field->widgetEdit($profile))
						echo $widgetEdit;
					elseif ($field->range)
						echo $form->dropDownListRow($profile,$field->varname,Profile::range($field->range));
					elseif ($field->field_type=="TEXT")
						echo$form->textAreaRow($profile, $field->varname, array('rows' => 6, 'class' => 'span4'));
					else
						echo $form->textFieldRow(
							$profile,
							$field->varname, array('maxlength'=>(($field->field_size)?$field->field_size:255), 'class' => 'span4')
						);
				}
			}
		?>
		<?php if (UserModule::doCaptcha('registration')): ?>
		<div class="row">
			<?php echo $form->labelEx($model,'verifyCode'); ?>

			<?php $this->widget('CCaptcha'); ?>
			<?php echo $form->textField($model,'verifyCode'); ?>
			<?php echo $form->error($model,'verifyCode'); ?>

			<p class="hint"><?php echo UserModule::t("Please enter the letters as they are shown in the image above."); ?>
			<br/><?php echo UserModule::t("Letters are not case-sensitive."); ?></p>
		</div>
		<?php endif; ?>
		<div class="form-actions">
			<?php
			$this->widget(
				'bootstrap.widgets.TbButton',
				array('buttonType'=>'submit', 'label'=>UserModule::t("Register"), 'type' => 'primary')
			);
			?>
		</div>
	<?php $this->endWidget(); ?>
	<!-- form -->
<?php endif; ?>