<?php
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				   *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/
?>
<div class="form">

<?php
	/**
	 * @var TbActiveForm $form
	 * @var Ticket $model
	 * @var HDController $this
	 */
	$form=$this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'id'                   => 'ticket-form',
	'htmlOptions' => array(
		'enctype' => 'multipart/form-data',
		'class'   => 'hd-clear-unload',
	),
)); ?>

	<p class="note"><?=_t('required fields')?></p>

	<?php echo $form->errorSummary($model); ?>

	<?php echo $form->textFieldRow($model, 'subject', array('class' => 'span4 hd-check-changes')); ?>

	<?php echo $form->textAreaRow($model, 'content', array('rows'=>7, 'class' => 'span7 hd-check-changes')); ?>

	<?
	if (!$this->user || $this->user->is_worker) :
	?>
		<?php echo $form->textFieldRow($model, 'author_email', array('class' => 'span4 hd-check-changes')); ?>
		<?php echo $form->textFieldRow($model, 'author_name', array('class' => 'span4 hd-check-changes')); ?>
	<?
	endif;
	?>

	<?php echo $form->dropDownListRow($model, 'category_id', CHtml::listData(TicketCategory::model()->findAll(), 'id', 'lang_name'),  array('class' => 'span4')); ?>

	<? if (!empty($id))
		echo CHtml::hiddenField('message_id', $id);
	?>

	<?if(CCaptcha::checkRequirements() && !$this->user):?>
		<div class="captcha-s">
		<?=$form->textFieldRow($model, 'verifyCode');?>
		<?$this->widget('CCaptcha')?>
		</div>
	<?endif?>

	<br />
	<?=$this->renderPartial('/ticketMessage/_attachments', array ('model' => $model))?>

	<div class="form-actions">
		<?php
		$this->widget(
			'bootstrap.widgets.TbButton',
			array('buttonType'=>'submit', 'label' => $model->isNewRecord ? _t('submit') : _t('save'), 'type' => 'primary')
		);
		echo '&nbsp;' . CHtml::submitButton(_t('preview'), array ('class' => 'btn btn-medium', 'id' => 'hd_preview', 'rel' => $this->createUrl('ticketMessage/previewMessage')));
		?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->