<?
/**
 * @var Ticket $model
 */

$user = Yii::app()->getModule('user')->user() ? Yii::app()->getModule('user')->user() : false;
?>
<div class="sidebox-wrp" xmlns="http://www.w3.org/1999/html" id="ticket_view">
	<div class="box-wrp">
		<p id="ticket_id" title="<?_t('ticket id')?>"><?=$model->tracking_id?></p>
		<p id="status_block" title="<?=_t('ticket status')?>">
			<?=$this->renderPartial('_ticket_status_block', array('data' => $model))?>
		</p>

		<ul class="nav nav-pills nav-stacked" title="<?=_t('department')?>">
			<li class="dropdown hd-category-<?=$model->id?>">
				<?
				$this->renderPartial(
					'_category_input',
					array (
						'data'    => $model,
						'manager' => $manager,
						'user_id' => $user_id,
						'categories' => TicketCategory::model()->findAll(),
					)
				)
				?>
			</li>
			<li class="dropdown hd-user" title="<?=_t('ticket assigned to')?>">
				<?
				$this->renderPartial(
					'_user_input',
					array (
						'model' => $model
					)
				);
				?>
			</li>
		</ul>
	</div>

	<? if ($user && $user->is_worker) {?>
		<div class="box-wrp t-note">
			<div id="note_value_holder_block">
				<div id="note_value_container" style="<? if (!$model->note) {?>display: none;<?}?>">
					<span id="note_value"><?=nl2br($model->note)?></span>
				</div>
				<b id="note_edit_holder" class="icon-pencil"></b>
			</div>
			<div style="display: none;" id="note_block">
				<textarea name="note" id="note" cols="10" rows="4"><?=CHtml::encode($model->note)?></textarea>
				<?php echo CHtml::ajaxLink(
					mb_strtolower(_t('save'), APP_ENCODING),
					$this->createUrl(
						'ticket/note', array ('id' => $model->id)
					),
					array ('data' => 'js:{note: $("#note").val()}', 'type' => 'POST', 'complete' => 'function(response) {return process_note(response)}'),
					array ('id' => 'save_note_button')
				);
				?><span>&nbsp;&nbsp;<?=_t('or')?>&nbsp;&nbsp;</span><?php echo CHtml::ajaxLink(
					mb_strtolower(_t('delete'), APP_ENCODING),
					$this->createUrl(
						'ticket/note', array ('id' => $model->id)
					),
					array ('data' => 'js:{note: ""}', 'type' => 'POST', 'complete' => 'function(response) {return process_note(response)}'),
					array ('id' => 'delete_note_button')
				);
				?>
			</div>
			<div id="add_note_link" <? if ($model->note) {?>style="display: none;"<?}?>>
				<?=CHtml::link(
					_t('add note'),
					'#',
					array('class'=>'linkClass','onclick'=>'$("#add_note_link").hide(); $("#note_block").toggle(); return false;')
				);?>
			</div>
		</div><!--/note box-wrap-->

		<? list($orders, $view_all_url) = $model->getApiInfo(); ?>
		<? if (!empty($orders)) {?>
			<div class="box-wrp">

				<p><?=_t('recent orders')?>  <? if (count($orders) > 10) {?><a class="float-right" href="<?=$view_all_url?>" target="_blank" title="<?=_t('view all title')?>"><?=_t('view all')?></a><? } ?></p>
				<div id="orders">
					<table width="100%">
						<?
						foreach ($orders as $order)
						{
							$first = $order;
							?>
							<tr>
								<td><a class="clickable hd-show-order" rel="order_<?=$order['id']?>"><?=_t('order')?> #<?=$order['id']?></a></td>
								<td class="right-aligned"><?=$order['status']?></td>
							</tr>
							<tr>
								<td colspan="2">
									<div id="order_<?=$order['id']?>" class="hd-order-details clearfix" <? if (empty($order['ticket_order'])) {?>style="display: none;"<?}?>>
										<h5><?=_t('order details', array ('{order_id}' => $order['id']))?></h5>
										<? if ($order['products']) {?>
											<p><label><?=_t('products')?> :</label> <?
												$products_text = array();
												foreach ($order['products'] as $product) {
													$_text = "$product[product] x $product[amount]";
													if ($product['product_code'])
														$_text .= " ($product[product_code])";
													$products_text[] = $_text;
												}
												echo implode(', ', $products_text);
												?>
											</p>
										<? } ?>
										<p><label><?=_t('total')?>:</label> <?=$order['total']?> <?=$order['currency']?></p>
										<p><label><?=_t('created at')?>:</label> <?=date('Y-m-d H:i', $order['created_at'])?></p>
										<p><label><?=_t('shipping address')?> :</label> <?=$order['shipping_address']?></p>
										<p><label><?=_t('billing address')?> :</label> <?=$order['billing_address']?></p>
										<p><a class="float-right" href="<?=$order['url']?>" target="_blank" title="<?=_t('view order title')?>"><?=_t('view order')?></a></p>
									</div>
								</td>
							</tr>
						<? } ?>
					</table>
				</div>
			</div>
		<? } ?>
	<? } ?>

	<?

    $recent_images = $model->getRecentImages();
    if (!empty($recent_images)) {

        ?>
		<div class="box-wrp recent-img">
			<p><?=_t('recent images')?></p>
			<ul class="thumbnails">
				<? foreach ($recent_images as $image) { ?>
					<li><a href="<?=$this->createUrl('ticketMessage/preview', array ('id' => $image->id, 'access_key' => $model->access_key))?>" class="hd-scroll-to-message thumbnail" data-message="<?=$image->message_id?>" target="_blank"><img src="<?=$this->createUrl('ticketMessage/preview', array ('id' => $image->id, 'width' => 100, 'access_key' => $model->access_key))?>" alt=""></a></li>
				<? } ?>
			</ul>
		</div>
	<? } ?>
	<? $related_tickets = $model->getRelatedTickets();
	if (!empty($related_tickets)) { ?>

		<div class="box-wrp clearfix">
			<?
			$max_tickets = 3;
			$count_related_tickets = count($related_tickets);
			?>
			<p><?=_t('related tickets')?>: <? if ($count_related_tickets - 1 >= $max_tickets) {?><a class="float-right" href="<?=$this->createUrl('ticket/index', array ('q' => 'author:' . $model->author_email))?>" title="<?=_t('view all author tickets')?>"><?=_t('more')?></a><?}?></p>
			<ul class="unstyled" id="related_tickets">
				<?
				foreach ($related_tickets as $k => $ticket) :?>
					<li <?=($k > 2 ? 'class="hidden"' : '')?>><a href="<?=$this->createUrl('ticket/view', array ('id' => $ticket->id))?>"><?=$ticket->getSubject()?></a></li>
				<?
				endforeach;
				?>
			</ul>
		</div>
	<? } ?>

</div>