<?php
/***************************************************************************
 *                                                                          *
 *				   (c) 2013 Re:Desk Development Team    				    *
 *                                                                          *
 * This  is  commercial  software,  only  users  who have purchased a valid *
 * license  and  accept  to the terms of the  License Agreement can install *
 * and use this program.                                                    *
 *                                                                          *
 ****************************************************************************
 * PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
 * "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
 ****************************************************************************/

/**
 * @var TicketController $this
 * @var CActiveDataProvider $dataProvider
 * @var AppDbAuthManager $manager
 */

$manager = Yii::app()->getAuthManager();

?>

<script type="text/javascript">
    var load_more = <?=$this->load_more ? 'true' : 'false'; ?>;
    var load_link = '<?=$this->createUrl("ticket/index", array ('filter' => $_REQUEST['filter'], 'selector' => $_REQUEST['selector'], 'q' => $_REQUEST['q'], 'folder' => $_REQUEST['folder']))?>';
</script>

<div class="clearfix pages-c">
	<?
	$total_found = $dataProvider->getItemCount();
	$total = $this->per_page * ($this->page - 1);
	?>
	<span class="float-left"><?=$this->page > 1 ? _t('page {page}', array ('{page}' => $this->page)) : ''?></span><span class="float-right" data-toggle="dropdown"><?=($total_found ? $total + 1 : 0)?>-<?=(($this->per_page * ($this->page - 1)) + $dataProvider->getItemCount())?> <?=_t('of')?> <?=$this->total_list_found?></span>
</div>

<? if ($this->user && $_REQUEST['folder'] == TicketFolders::TRASH && $manager->hasCredential($this->user->id, 'Ticket.Delete') && empty($_REQUEST['page'])) {?>
	<span class="centered b-bottom-line"><?=($total_found ? CHtml::link('Delete all trash messages now', $this->createUrl('ticket/index', array ('folder' => 2, 'sub_action' => 'clean')), array ('confirm' => _t('are you sure'))) : '')?> (<?=_t('auto trash delete')?>)</span>
<? } ?>

<?php

$this->widget('bootstrap.widgets.TbGridView', array(
    'id' => 'tickets_' . $this->page,
	'type' => '',
	'dataProvider' => $dataProvider,
	'template'=>"<div class=\"ticket-list\">{items}</div>",
	'hideHeader' => true,
	'ajaxUpdate' => false,
	'rowCssClassExpression' => '($data->isAssignedToMe() ? " some-assigned-ticket " : "") . (!$data->is_open ? " closed-ticket " : " open-ticket ")',
	'columns' => array(
		array (
			'class' => 'CCheckBoxColumn',
			'checkBoxHtmlOptions' => array (
				'name' => 'selected[]'
			),
			'value' => '$data->id',
			'selectableRows' => 2,
			'cssClassExpression' => '($data->getHashedFavorite() ? "hd-starred" : "") . " " . (!$data->getHashedViewed() ? "hd-unread" : "")'
		),
		array (
			'class' => 'HDButtonColumn',
			'template' => '{favorite}',
			'buttons' => array (
				'favorite' => array (
					'label' => _t('add star'),
					'imageUrl' => Yii::app()->request->baseUrl . '/images/spacer.gif',
					'options' => array (
						'class' => 'star-icon hd-add-star br-none',
					),
					'url' => 'Yii::app()->createUrl("ticket/favorite", array ("id" => $data->id))',
					'cssClassExpression' => '$data->getHashedFavorite() ? "starred" : ""',
					'titleExpression' => '$data->getHashedFavorite() ? _t("remove star") : _t("add star")',
				)
			),
			'htmlOptions' => array(
				'class' => 't-icons'
			),
			'cssClassExpression' => '$data->getItemCss();',
		),
		array (
			'htmlOptions' => array(
				'class' => 't-l-auth c-overflow message'
			),
			'class' => 'CDataColumn',
			'value' => '"<div class=\"t-auths\"><a href=\"" . Yii::app()->createUrl("ticket/view", array ("id" => $data->id)) . "\" title=\"" . ($data->is_open ? _t("open ticket") : _t("closed ticket")) .  "\"><span>" . $data->getPersons() . "</span>" . ($data->getHashedMessageCount() > 1 ? ("(" . $data->getHashedMessageCount() . ")") : "") . "</a></div>   <div class=\"c-overflow t-l-name resp\" title=\"" . ($data->is_open ? _t("open ticket") : _t("closed ticket")) . "\"><a href=\"" . Yii::app()->createUrl("ticket/view", array ("id" => $data->id)) . "\" class=\"" . ($data->is_open ? "open-ticket" : "closed-ticket") .  "\"><span class=\"t-name\">" . (($data->getHashedViewed() ? "<b>" : "") . $data->getSubject() . ($data->getHashedViewed() ? "</b>" : "")) . "</span>" . "<span class=\"short-info\">- " . $data->getLastMessage(true) . "</span></a></div>"',
			'cssClassExpression' => '$data->getHashedViewed() ? "" : "new-message";',
			'type' => 'html'
		),
		array (
			'htmlOptions' => array(
				'class' => 't-l-name '
			),
			'cssClassExpression' => '$data->getHashedViewed() ? "" : "new-message";',
			'class' => 'CDataColumn',
			'value' => '"<div class=\"c-overflow\" title=\"" . ($data->is_open ? _t("open ticket") : _t("closed ticket")) . "\"><a href=\"" . Yii::app()->createUrl("ticket/view", array ("id" => $data->id)) . "\" class=\"" . ($data->is_open ? "open-ticket" : "closed-ticket") .  "\"><span class=\"t-name\">" . $data->getSubject() . "</span>" . "<span class=\"short-info\">- " . $data->getLastMessage(true) . "</span></a></div>"',
			'type' => 'html'
		),
		array (
			'htmlOptions' => array(
				'class' => 'td-fixed-w t-l-category hd-data-department',
				'style' => !Yii::app()->request->cookies['hide_department'] ? '' : 'display: none;',
				'title' => _t('department')
			),
			'value'       => '$this->grid->owner->getCategoryHtml($data)',
			'type'        => 'raw'
		),
		array (
			'htmlOptions' => array(
				'class' => 'td-fixed-w t-l-date',
			),
			'class' => 'CDataColumn',
			'value' => '$data->getNormalDate()'
		),
		array (
			'htmlOptions' => array(
				'title' => _t('ticket id'),
				'class' => 'td-fixed-w hd-data-id',
				'style' => !Yii::app()->request->cookies['hide_id'] ? '' : 'display: none;'
			),
			'class' => 'CDataColumn',
			'value' => '$data->tracking_id',
		),
	),
));

?>
