var clear_saved_message = clear_saved_message || false;
var messages_counter = 1, fetch_email = true, selected_text = '', last_selected_text = '', prevent_replace = false;

jQuery(function() {
	/*Mobile menu toggle*/
	$(".m-menu-icon").click(function(){
		$("#main_menu").toggleClass("show");
		return false;
	});
	/*/Mobile menu toggle*/

	$('button').tooltip({delay: 500});

	$(document).ajaxStart(function() {
		$('#loading').show();
	});

	$(document).ajaxComplete(function(data, xhr) {
		try {
			var json = $.parseJSON(xhr.responseText);
			var notify_template = '<div class="alert in alert-block fade alert-%type%" id="message_block_%id%"><a class="close" data-dismiss="alert">×</a>%message%</div>';

			if (json)
			{
				if (json.html && !prevent_replace)
				{
					for (var i in json.html) {
						$('#' + i).html(json.html[i]);
					}
				}

				if (json.messages)
				{
					var $container = $('#js_notifications');
					for (var type in json.messages)
					{
						$container.append(notify_template.replace('%type%', type).replace('%message%', json.messages[type]).replace('%id%', messages_counter));
						setTimeout(function(counter) {
							$('#message_block_' + counter).fadeOut('slow').remove();
						}, 6000, messages_counter);
						messages_counter++;
					}
				}
			}
		} catch (error) {}

		$('#loading').hide();
	});

	$('ul.hd-dropdown').on('click', 'li', function() {
		var $this = $(this);
		var $parent = $this.parent();

		$.ajax(
			$parent.prev().attr('rel'),
			{
				type: 'POST',
				data: {
					item: $this.data('value')
				},
				success: function(html) {
					$('.' + $parent.prev().data('update')).html(html);
				}
			}
		);

		return true;
	});


	$("body").on('click', 'a.hd-add-star', function() {
		var $this = $(this);
		var url = $this.attr('link') || $this.attr('href');

		$.ajax({
			'type': 'POST',
			'url': url,
			'success': function() {
				if (!$this.hasClass('hd-skip-js-update'))
				{
					$this.toggleClass("starred");
					$this.attr('title', $this.hasClass('starred') ? _HD_lang.remove_star : _HD_lang.add_star);
				}
			}
		});

		return $this.attr('link') ? true : false;
	}).on('click', 'a.hd-status-update', function() {
        var $this = $(this);
        $.ajax({
            url: $this.attr('href'),
            type: 'GET',
            dataType: 'json',
            success: function(data) {
                $('div.hd-message-actions').toggleClass('hidden');
            }
        });

        return false;
    }).on('submit', 'form.hd-clear-unload', function() {
        window.onbeforeunload = null;

        return true;
    });

	$("#ticket_header").click(function(){
		$("#t_details").toggle();
		return false;
	});

	$(".t-messages", '#ticket_messages').find(".message-wrp:last").removeClass("msg-collapsed");
	$(".short-info", '#ticket_messages').removeClass("hidden");

	$(".collapse-icon").click(function() {

		var $m_wrp = $(".message-wrp");

		if ($m_wrp.hasClass("msg-collapsed"))
			$m_wrp.removeClass("msg-collapsed");
		else
			$m_wrp.addClass("msg-collapsed");

		$(".t-messages").find(".message-wrp:last").removeClass("msg-collapsed");

		return false;
	});

	$('div.clickable:not(:last)').click(function() {
		$(this).parent().parent().toggleClass("msg-collapsed");
	});


	$('#note_value_holder_block').mouseover(function() {
		$('#note_edit_holder').show();
	}).mouseout(function() {
		$('#note_edit_holder').hide();
	}).click(function() {
		$(this).hide();
		$('#note_block').show();
	});

	$('a.reply-with-quote', '#ticket_messages').click(function() {
		var $input = $('#message_input'), quote_text = $('#' + $(this).data('from')).text();

		if (last_selected_text.length)
			quote_text = last_selected_text;

		$('#reply_to').val($(this).data('message-id'));

		$input.val(($input.val() ? $input.val() + "\n\n" : '') + ($(this).data('folder') != 'social' ? "<blockquote>" + quote_text + "</blockquote>\n" : '')).focus();

		return true;
	});

	$('#content_refresh').click(function() {
		var $this = $(this);

		load_link = load_link + (fetch_email ? '&refresh=1' : '');

		$.ajax({
			'url': load_link,
			'type': 'GET',
			'success': function(response) {

                var json = $.parseJSON(response);

				for (var i in json.html)
				{
                    $('#' + i).html(json.html[i]);
				}

				if (!$('td.checkbox-column > :checkbox:checked').length)
					$('#selected_actions').hide();

				fetch_email = true;
			}
		});
	});

	$('a.hd-selector').click(function() {
		var $this = $(this);
		var $collection = $('td.checkbox-column > :checkbox');
		var $checkbox;

		$collection.attr('checked', false);

		$collection.each(function() {
			$checkbox = $(this);

			if ($this.hasClass('hd-all'))
				$checkbox.attr('checked', true);
			else if ($this.hasClass('hd-unread') && $checkbox.parent('td').hasClass('hd-unread'))
				$checkbox.attr('checked', true);
			else if ($this.hasClass('hd-starred') && $checkbox.parent('td').hasClass('hd-starred'))
				$checkbox.attr('checked', true);
		});

		$checkbox.trigger('change');
	});

	$('td.checkbox-column').on('change', ':checkbox', function() {
		var $actions = $('#selected_actions');

		if ($('td.checkbox-column > :checkbox').is(':checked'))
			$actions.removeClass('hidden').show();
		else
			$actions.addClass('hidden');
	});

	$('a.hd-group-action').click(function() {
		var $collection = $('td.checkbox-column > :checkbox:checked');
		var $this = $(this);
		var ids = [];

		if ($collection.length) {
			$collection.each(function(){
				ids.push(this.value);
			});

			$.ajax({
				'url': $this.attr('rel'),
				'type': 'POST',
				'data': {'ids': ids, 'mode': $this.data('mode')},
				'success': function() {
					fetch_email = false;
					$('#content_refresh').click();
				}
			});
		}
	});

	$('a.hd-scroll-to-message').click(function() {
		var message_id = $(this).data('message');
		var $message_div = $('#message_' + message_id);

		$message_div.removeClass('msg-collapsed');

		$('html, body').animate({
			scrollTop: $message_div.offset().top
		}, 400);

		return false;
	});

	if (typeof load_link != 'undefined')
	{
		var content_page = 2;
		var request_sent = false;

		$('main').scroll(function() {
			if  (load_more && $('main').scrollTop() > $('#page').height() - $(document).height()) {
				loadContent();
			}
		});
	}

	function loadContent()
	{
		if (!request_sent)
		{
			request_sent = true;
            prevent_replace = false;

			$.ajax({
				'url': load_link,
				'data': {'page': content_page},
				'method': 'GET',
				'success': function(response) {
					if (response != '')
					{
                        var json = $.parseJSON(response);

						$('#content').append(json.html['content']);
						request_sent = false;
						content_page++;
                        prevent_replace = true;
					}
					else
						request_sent = true;
				}
			});
		}
	}

	$('a.hd-data-column').click(function() {
		var $this = $(this);
		var $td = $('td.hd-data-' + $this.data('column'));
		$td.toggle();
		$td.toggleClass('hd-hidden');

		var exp_date = new Date();
		exp_date.setDate(exp_date.getDate() + 180);

		if (!$td.is(':visible'))
			Cookie.set('hide_' + $this.data('column'), 1, exp_date, '/', window.location.host);
		else
			Cookie.delete_value('hide_' + $this.data('column'), '/', window.location.host);

		$this.find('.hd-content-status').text($td.hasClass('hd-hidden') ? _HD_lang.show : _HD_lang.hide);
	});

	$('a.hd-show-order').click(function() {
		var $target = $('#' + $(this).attr('rel'));

		if ($target.is(':visible')) {
			$target.hide();
		} else {
			$('div.hd-order-details').hide();
			$target.show();
		}

		return false;
	});

	$('#hd_preview').on('click', function() {
		var $this = $(this);
		$.ajax({
			'url': $this.attr('rel'),
			'data': {'message': $('#message_input').val() || $('#Ticket_content').val()},
			'type': 'POST',
			'success': function(response) {
				$('#preview_modal_body').html(response);
				$('#PreviewModal').modal();
			}
		});

		return false;
	});

	/**
	 * Saved message in storage block
	 */
	var $msg_input = $('#message_input'), data_changed = false, $msg_form = $('#ticket-message-form');

	$msg_input.on('keyup', function() {
		var $this = $(this);
		var ticket_id = $this.attr('class').replace('hd-ticket-');
		$.localStorage.setItem('ticket', $this.val());
		$.localStorage.setItem('ticket_id', ticket_id);
	});

	$('.hd-check-changes').keyup(function() {
		data_changed = true;
	});

	if ($msg_form.hasClass('hd-clear-auto-message')) {
		$.localStorage.setItem('ticket', null);
		$.localStorage.setItem('ticket_id', null);
	}

	if ($msg_input.length > 0) {
		var current_ticket_id = $msg_input.attr('class').replace('hd-ticket-');
		var saved_id = $.localStorage.getItem('ticket_id');
		var saved_val = $.localStorage.getItem('ticket');

		if (saved_val && saved_id == current_ticket_id) {
			$msg_input.val(saved_val);
		}
	}

	window.onbeforeunload = function() {
		if (data_changed)
		{
			return _HD_lang.changes_saved;
		}
	};
});

function process_note(response)
{
	var $note_value = $('#note_value');
	var $note_value_container = $('#note_value_container');
	var $add_note = $('#add_note_link');

	var note = response.responseText;
	$note_value.html(note);
	$('#note').val(note);

	if (note == '')
	{
		$note_value_container.hide();
		$add_note.show();
	}
	else
	{
		$('#note_value_holder_block').show();
		$note_value_container.show();
		$add_note.hide();
	}

	$('#note_block').hide();
}

var Cookie = {
	get_value: function(offset)
	{
		var end_str = document.cookie.indexOf(';', offset);
		if (end_str == -1) {
			end_str = document.cookie.length;
		}
		return unescape(document.cookie.substring(offset, end_str));
	},

	get: function(name)
	{
		var arg = name + '=';
		var arg_len = arg.length;
		var cookie_len = document.cookie.length,
			i = 0, j;

		while (i < cookie_len) {
			j = i + arg_len;
			if (document.cookie.substring(i, j) == arg) {
				return this.get_value(j);
			}

			i = document.cookie.indexOf(' ', i) + 1;
			if (i === 0) {
				break;
			}
		}
		return false;
	},

	set: function(name, value, expires, path, domain, secure)
	{
		document.cookie = name + '=' + escape(value) + ((expires) ? '; expires=' + expires.toGMTString() : '') + (
			(path) ? '; path=' + path : '') + ((domain) ? '; domain=' + domain : '') + ((secure) ? '; secure' :
			'');
	},

	delete_value: function(name, path, domain)
	{
		if (this.get(name)) {
			document.cookie = name + '=' + ((path) ? '; path=' + path : '') + ((domain) ? '; domain=' + domain : '')
				+ '; expires=Thu, 01-Jan-70 00:00:01 GMT';
		}
	}
};
