<?
/**
 * @var HDController $this
 * @var AppDbAuthManager $manager
 */
$user_id = Yii::app()->getModule('user')->user() ? Yii::app()->getModule('user')->user()->id : 0;
$manager = Yii::app()->getAuthManager();
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="en" />
	<title><?php echo CHtml::encode($this->pageTitle); ?></title>

	<?php Yii::app()->bootstrap->register(); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/styles-1.css" />
    <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/responsive.css" />
	<link href="<?php echo Yii::app()->theme->baseUrl; ?>/images/favicon.ico" rel="shortcut icon" />


	<? Yii::app()->clientScript->registerScriptFile(Yii::app()->theme->baseUrl.'/js/client.js');?>
	<? Yii::app()->clientScript->registerScriptFile(Yii::app()->theme->baseUrl.'/js/jquery.html5storage.min.js');?>
	<script type="text/javascript">
	var _HD_lang = {
		add_star: <?=CJavaScript::encode(_t('add star'))?>,
		remove_star: <?=CJavaScript::encode(_t('remove star'))?>,
		show: <?=CJavaScript::encode(_t('show'))?>,
		hide: <?=CJavaScript::encode(_t('hide'))?>,
		changes_saved: <?=CJavaScript::encode(_t('changes saved'))?>
	};
	</script>




<!-- material-d-vladwel -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">

    <!-- Add to homescreen for Chrome on Android -->
    <meta name="mobile-web-app-capable" content="yes">
    <!-- link rel="icon" sizes="192x192" href="images/android-desktop.png" -->

    <!-- Add to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="">
    <link rel="apple-touch-icon-precomposed" href="images/ios-desktop.png">

    <!-- Tile icon for Win8 (144x144 + tile color) -->
    <meta name="msapplication-TileImage" content="images/touch/ms-touch-icon-144x144-precomposed.png">
    <meta name="msapplication-TileColor" content="#3372DF">

    <!-- link rel="shortcut icon" href="images/favicon.png" -->

    <!-- SEO: If your mobile URL is different from the desktop URL, add a canonical link to the desktop page https://developers.google.com/webmasters/smartphone-sites/feature-phones -->
    <!--
    <link rel="canonical" href="http://www.example.com/">
    -->

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:regular,bold,italic,thin,light,bolditalic,black,medium&amp;lang=en">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/material.cyan-light_blue.min.css">
    <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/styles-md-theme-1.css" />

    <style>
    #view-source {
      position: fixed;
      display: block;
      right: 0;
      bottom: 0;
      margin-right: 40px;
      margin-bottom: 40px;
      z-index: 900;
    }
    </style>
<!-- /material-d-vladwel -->




</head>

<body<?=$this->uniqueId == 'user/login' ? ' id="login_page"' : ''?>>

<div class="mdl-layout__container">
<div class="demo-layout mdl-layout mdl-js-layout mdl-layout--fixed-drawer">




<!-- left column material -->
<div class="demo-drawer mdl-layout__drawer mdl-color--blue-grey-900 mdl-color-text--blue-grey-50  <? if ($this->uniqueId == 'user/login') {?>hidden<? } ?> " aria-hidden="true">
        <header class="demo-drawer-header">


     <? if ($this->user) { ?>
		<a href="<?=$this->createUrl('/ticket/')?>" class="logo"><?=Settings::get('company_name')?></a>
    <? } else { ?>
		<a href="<?=$this->createUrl('/ticket/')?>" class="logo"><?=Settings::get('company_name')?></a>
    <? } ?>


          <img src="<?php echo Yii::app()->theme->baseUrl; ?>/images/user.gif" class="demo-avatar">
          <div class="demo-avatar-dropdown dropdown">


		  <? if ($this->user) { ?>
    	   <a class="dropdown-toggle pointer" data-toggle="dropdown"><?=$this->user->email?>&nbsp;<b class="caret"></b></a>
	       <ul class="dropdown-menu pull-right">
		       <li><a href="<?=$this->createUrl('/user/profile/edit')?>"><?=_t('view profile')?></a></li>
			   <? if ($this->user->password) {?><li><a href="<?=$this->createUrl('/user/profile/changepassword')?>"><?=_t('change password')?></a></li><? } ?>
               <li class="divider"></li>
               <li><a href="<?=$this->createUrl('/user/logout')?>"><?=_t('sign out')?></a></li>
            </ul>
            <? } else { ?>
				<a href="<?=$this->createUrl('/user/login')?>"><?php echo _t("sign in"); ?></a>
            <? } ?>

          </div>
        </header>


        <nav class="demo-navigation mdl-navigation mdl-color--blue-grey-800">

        <!-- div class="">
			<button type="button" class="btn" onclick="location.href='<?=$this->createUrl('/ticket/create')?>'"><?=_t('submit ticket')?></button>
		</div -->


   				<? 	if (is_readable($this->getViewPath() . '/_left_wrapper.php'))
				echo $this->left_content = $this->renderPartial('_left_wrapper', null, true);
				?>

        </nav>
</div>
<!-- /left column material -->

<main class=" <?=$this->uniqueId == 'user/login' ? '' : 'mdl-layout__content  mdl-color--grey-100'?>">




<div class="floating-notify" id="js_notifications"></div>
<div id="loading" class="ajax-loading-box"><?=_t('loading')?></div>


<!-- Login page header  -->
<? if ($this->uniqueId == 'user/login') {?>  
<div class="header-wrp container-fluid">

<div class="row-fluid">
 <div class="span12">

	<a href="<?=$this->createUrl('/ticket/')?>" class="logo"><?=Settings::get('company_name')?></a>

		<?
		$languages = Settings::get('languages');
		if (count($languages) > 1)
		{
		?>
		<ul class="nav nav-pills pull-right">
			<li class="dropdown">
				<a class="dropdown-toggle pointer" data-toggle="dropdown"><?=Yii::app()->language?> <b class="caret"></b></a>
				<ul class="dropdown-menu pull-right">
					<?
					foreach ($languages as $lang)
					{
					?>
						<li <?=($lang == Yii::app()->language ? 'class="active"' : '')?>>
							<a href="<?=addParamToUrl('lang', $lang)?>">
								<i class="flag flag-<?=$lang?>"></i>
								<?=_t($lang)?>
							</a>
						</li>
					<?
					}
					?>
				</ul>
			</li>
		</ul>
		<?
		}
		?>



 </div>
</div>
</div>
<? } ?>
<!-- /Login page header  -->


<? if ($this->uniqueId != 'user/login') {?> 
<div class="container-fluid navbar navbar-inner">

	<ul id="main_menu" class="nav">
		<li class="hidden-desktop" style="width: 56px;">&nbsp;<span aria-expanded="false" role="button" tabindex="0" class="mdl-layout__drawer-button"><i class="material-icons">menu</i></span></li>
		<li class="divider-vertical hidden-desktop"></li>
	
		<li <? if ($this->ticket_selected) {?>class="active"<? } ?>><a href="<?=$this->createUrl('/ticket/index')?>"><?=_t('tickets')?></a></li>


		<? if ($this->user) { ?>

		<? if ($manager->hasCredential($user_id, 'User.Admin.*')) {?>
		<li class="divider-vertical"></li>
		<li <? if ($this->getUniqueId() == 'user/admin' || $this->getUniqueId() == 'user') {?>class="active"<? } ?>><a href="<?=$this->createUrl('/user/admin')?>"><?=_t('users')?></a></li>
		<? } ?>

		<? } ?>
	</ul>




	    <? if ((!$this->user || $this->user && !$this->user->is_worker) && Settings::get('worktime')) { ?><span title="<?=$this->isStaffWorking() ?_t('s_online') : _t('s_offline')?>" class="s-time <?=$this->isStaffWorking() ? 'online-h' : ''?>"><span><?=_t('staff time')?></span> <?=date('H:i')?></span><?}?>






	<ul class="nav nav-pills pull-right">
	   <? if ($manager->hasCredential($user_id, 'Settings.*')) {?>
       <li class="dropdown">
    	   <a class="dropdown-toggle pointer" data-toggle="dropdown"><span class="m-settings"><?=_t('settings')?></span><i class="icon-cog"></i>&nbsp;<b class="caret"></b></a>
	       <ul class="dropdown-menu pull-right">
               <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 1))?>"><?=_t('general')?></a></li>
			   <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 2))?>"><?=_t('email')?></a></li>
			   <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 'categories'))?>"><?=_t('categories')?></a></li>
			   <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 'email_templates'))?>"><?=_t('email templates')?></a></li>
			   <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 'spam_filters'))?>" class="<?=$this->disabledFeature() ? 'disabled-feature' : ''?>"><?=_t('spam filters')?></a></li>
			   <li><a href="<?=$this->createUrl('/settings/index', array ('section' => 'email_accounts'))?>" class="<?=$this->disabledFeature() ? 'disabled-feature' : ''?>"><?=_t('external email accounts')?></a></li>
           </ul>
       </li>
	   <? } ?>
		<?
		$languages = Settings::get('languages');
		if (count($languages) > 1)
		{
		?>  <li class="divider-vertical hidden-phone"></li>
			<li class="dropdown">
				<a class="dropdown-toggle pointer" data-toggle="dropdown"><?=Yii::app()->language?> <b class="caret"></b></a>
				<ul class="dropdown-menu pull-right">
					<?
					foreach ($languages as $lang)
					{
					?>
						<li <?=($lang == Yii::app()->language ? 'class="active"' : '')?>>
							<a href="<?=addParamToUrl('lang', $lang)?>">
								<i class="flag flag-<?=$lang?>"></i>
								<?=_t($lang)?>
							</a>
						</li>
					<?
					}
					?>
				</ul>
			</li>
		<?
		}
		?>
	   <? if ($this->user) { ?>
	   <li class="divider-vertical hidden-phone"></li>
       <li class="dropdown hidden-phone">
    	   <a class="dropdown-toggle pointer" data-toggle="dropdown"><i class="icon-user"></i>&nbsp;<b class="caret"></b></a>
	       <ul class="dropdown-menu pull-right">
			   <li class="nav-header d-info"><?=_t('logged in as')?><br /><strong><?=$this->user->email?></strong></li>
               <li class="divider"></li>
               <li><a href="<?=$this->createUrl('/user/profile/edit')?>"><?=_t('view profile')?></a></li>
			   <? if ($this->user->password) {?><li><a href="<?=$this->createUrl('/user/profile/changepassword')?>"><?=_t('change password')?></a></li><? } ?>
               <li class="divider"></li>
               <li><a href="<?=$this->createUrl('/user/logout')?>"><?=_t('sign out')?></a></li>
           </ul>
       </li>
	   <? } ?>
    </ul>




	<form class="navbar-search pull-right" method="GET" action="<?=$this->createUrl('/ticket/index')?>">
	   <?=CHtml::hiddenField('filter', $_REQUEST['filter'])?>
	   <?=CHtml::hiddenField('selector', $_REQUEST['selector'])?>
	   <?=CHtml::textField('q', $_REQUEST['q'], array ('class' => 'search-query', 'placeholder' => _t('search holder')))?>
    </form>


</div>

<? } ?>


<? if ($this->header_content)
	echo $this->header_content;
?>

<div class="container-fluid" id="page">
	<div class="row-fluid">


		<div class="content-wrp <?if ($this->getRoute() == 'ticket/view') { ?>span9<? } else { ?>span12<? } ?> clearfix">
			<?php
			foreach(Yii::app()->user->getFlashes() as $key => $message)
			{
				?>
				<div class="alert in alert-block fade alert-<?=$key?>">
					<a class="close" data-dismiss="alert">×</a>
					<?=$message?></div>
			<?}

			echo $content; ?>
		</div>

		<? if ($this->getRoute() == 'ticket/view') { ?>
		<div class="content-wrp span3">
			<!-- ticket info box -->

			<?php

            echo $this->renderPartial(
			        '/ticket/_right_box',
                    array('model' => Ticket::model()->findByPk(Yii::app()->request->getParam('id')), 'manager' => $manager, 'user_id' => $user_id, 'api_info' => $api_info, 'recent_images' => $recent_images)
            ); ?>

			<!-- /endof ticket info box -->

		</div>

		<? } ?>


	</div>
</div><!-- page -->

    <div class="row-fluid">
    <div class="span12">
	<div id="footer">
          <!-- &copy; <?php echo date('Y'); ?> -->
			 <a target="_blank" href="http://re-desk.com">Help Desk Software</a> by Re:Desk
 	</div><!-- footer -->
 	</div><!-- footer -->
 	</div><!-- footer -->
	<?=$this->checkUpgrade();?>

 </main>
 <div class="mdl-layout__obfuscator"></div>

</div>
</div>

<script src="https://code.getmdl.io/1.3.0/material.min.js"></script>

<!-- Modal -->
<div id="PreviewModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h3 id="myModalLabel"><?=_t('message preview')?></h3>
    </div>
    <div class="modal-body" id="preview_modal_body">&nbsp;</div>
    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true"><?=_t('close')?></button>
    </div>
</div>

</body>
</html>
